//////////////////////////////////////////////
def subfolder = folder.toString().contains('2stay') ? "stay/" : "main/"
	//tria
if (esDocu) ruta = ruta_docu + subfolder
else if (esAnime) ruta = ruta_anime + subfolder
else if (infantil) ruta = ruta_infantil + subfolder
else if (esAnimacion) ruta = ruta_animacion + subfolder
else if (catalana) ruta = ruta_cat + subfolder
else if (espanyola) {
	ruta = ruta_esp + subfolder
	/*if (notSure) ruta += "to_observe/"
	else if (y>2000) ruta += "sXXI/"
	else ruta += "sXX/"*/
} else if (latina) ruta = ruta_latina + subfolder
else if (asiatica) ruta = ruta_asiaticas + subfolder
else if (muslim) ruta = ruta_muslim + subfolder
else if (eslavo) ruta = ruta_eslavo + subfolder
else if (esFamiliar && y>1960) ruta = ruta_familiar + subfolder
else if (esMusica) ruta = ruta_concerts
else if (y<1980) {
	ruta = ruta_classic + subfolder
	/*if (y>1970) ruta += "70s/"
	else ruta += "old/"*/
} else if (y<2000) {
	ruta = ruta_retro + subfolder
	/*if (y>=1990) ruta += "90s/"
	else ruta += "80s/"*/
}
if (ruta==ruta2000) {
	if (y>=2021) ruta = ruta_estrenos + subfolder// + "20s/"
	else ruta += subfolder
	/*else if (y>=2010) ruta += "2010-2020/"
	else ruta += "2000-2010/"*/
} 
/********************************************/

//----------------------------
//Relocation possible failures
if (relocation && {try {relocationFrom!=null} catch (err) {false}}()) {
	if (!ruta.contains(relocationFrom)) {
		ruta = root + relocationFrom + "to_observe/"
	}
}
//----------------------------

/*** RESULTADO FINAL ***/
def inicial = (ruta==ruta_retro) ? getInicial() : ''
def tmdb = "{tmdb-"+tmdbid+"}"
def carpetaPeli = localize.Spanish.plex.name + ' ' + tmdb + '/'

def file
if ({try {only_relocate} catch (err) {false}}()) {
	file = fn
} else {
	def nombrePelicula_formatoPlex =  {try { catalana ? localize.Catalan.n : localize.Spanish.plex.name } catch (err) {localize.Spanish.plex.name} }()
	def nomPrincipal = nombrePelicula_formatoPlex + bloqueVideo + bloqueAudio + bloqueSubs
	def trackerCatch = fn.find(/(?i)\bHD.?O(limpo)?\b|\bRedBits\b/)
	def tracker = trackerCatch != null ? '['+trackerCatch.replace("HDOlimpo", "HDO")+']' : ''

	file = nomPrincipal + tracker + tmdb
}

return ruta + inicial + carpetaPeli + file
///////////////////////////////////////////////////////////////////////////